Subject: Re: mm kernel oops with r8169 & named, PREEMPT

From: Danny <[email-masked]>
Date: Thu, 14 Oct 2004 15:04:11 -0700

I wasn't able to get the kernel to compile with just the reiser4
patches from the broken-out dir on the ftp.  The patching itself
seemed to go well though.  I tried to apply the patches in the order
they were listed in "series" but some had to go out of order anyway,
such as reiser4-only.patch had to go first.

However I was able to verify it's not a problem with the r8169 driver.
 I copied over the r8169 driver to a fresh linux-2.6.8.1-mm4 and was
able to compile and run fine with the latest r8169 driver from the
linux-2.6.9-rc4-mm1 release.  I also tested it in reverse, bringing
over r8169.c to a fresh linux-2.6.9-rc4-mm1 and it still gave me the
oops.

I'm not sure where this leaves me now.  Perhaps I should repost my
oops and my proc info in the lkml with a different subject to draw the
attention of others, since I now know this subject to be entirely
missleading.